lemon8 01
15 个接口
GETfetch discover banners
GET https://dkai.store/api/v1/lemon8/app/fetch_discover_banners1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/lemon8/app/fetch_discover_banners'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch discover tab
GET https://dkai.store/api/v1/lemon8/app/fetch_discover_tab1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/lemon8/app/fetch_discover_tab'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch discover tab information tabs
GET https://dkai.store/api/v1/lemon8/app/fetch_discover_tab_information_tabs1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/lemon8/app/fetch_discover_tab_information_tabs'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch hot search keywords
GET https://dkai.store/api/v1/lemon8/app/fetch_hot_search_keywords1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/lemon8/app/fetch_hot_search_keywords'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch post comment list
GET https://dkai.store/api/v1/lemon8/app/fetch_post_comment_list1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
group_id | query | 必填 | |
item_id | query | 必填 | |
media_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/lemon8/app/fetch_post_comment_list?group_id=VALUE&item_id=VALUE&media_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch post detail
GET https://dkai.store/api/v1/lemon8/app/fetch_post_detail1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
item_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/lemon8/app/fetch_post_detail?item_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch search
GET https://dkai.store/api/v1/lemon8/app/fetch_search1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/lemon8/app/fetch_search?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch topic info
GET https://dkai.store/api/v1/lemon8/app/fetch_topic_info1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
forum_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/lemon8/app/fetch_topic_info?forum_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch topic post list
GET https://dkai.store/api/v1/lemon8/app/fetch_topic_post_list1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
category | query | 必填 | |
category_parameter | query | 必填 | |
hashtag_name | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/lemon8/app/fetch_topic_post_list?category=VALUE&category_parameter=VALUE&hashtag_name=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user follower list
GET https://dkai.store/api/v1/lemon8/app/fetch_user_follower_list1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/lemon8/app/fetch_user_follower_list?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user following list
GET https://dkai.store/api/v1/lemon8/app/fetch_user_following_list1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/lemon8/app/fetch_user_following_list?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user profile
GET https://dkai.store/api/v1/lemon8/app/fetch_user_profile1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/lemon8/app/fetch_user_profile?user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget item id
GET https://dkai.store/api/v1/lemon8/app/get_item_id1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
share_text | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/lemon8/app/get_item_id?share_text=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
POSTget item ids
POST https://dkai.store/api/v1/lemon8/app/get_item_ids1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
请求体:按接口定义传入完整 JSON。
成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget user id
GET https://dkai.store/api/v1/lemon8/app/get_user_id1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
share_text | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/lemon8/app/get_user_id?share_text=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。